Bug 61601 - anaconda does not provide method to skip bad package
anaconda does not provide method to skip bad package
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-21 19:10 EST by Joseph Kotran
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-22 14:53:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Kotran 2002-03-21 19:10:43 EST
Description of Problem: anaconda does not provide a method to skip a bad package
once the package have begun to be installed

Version-Release number of selected component (if applicable): UNKNOWN (Red Hat

How Reproducible: every time

Steps to Reproduce:
1. Corrupt a RPM package in /RedHat/RPMS at your install source
2. Perform an install of Red Hat 7.2.92
3. Be sure the package you corrupted is included in the list of packages to be

Actual Results: Anaconda returns a dialog that states the corrupted package is
missing or corrupted.  The only option is to select OK to continue.  Anaconda
then tries to install the package again.

Expected Results: The user should be able to skip bad packages.  Please add a
skip function.

Additional Information: I discovered this behavior by mistake.  I accidentally
corrupted a package via a bad file copy.  It may not make sense to skip bad
packages.  For example if the package was the system kernel it would not make
sense to skip it.  I am not sure how best to address this behavior.


Comment 1 Jeremy Katz 2002-03-22 16:51:16 EST
Neither am I ;)  The semantics of what to do in this case aren't at all obvious.
 Deferring for now.

Note You need to log in before you can comment on or make changes to this bug.